## yorick-gy 0.0.5

=== Makefile ===
# these values filled in by    yorick -batch make.i
Y_MAKEDIR=
Y_EXE=
Y_EXE_PKGS=
Y_EXE_HOME=
Y_EXE_SITE=
Y_HOME_PKG=

# ----------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=gy
PKG_I=gy0.i

OBJS=gy.o gy_repository.o gy_argument.o gy_gvalue.o gy_callback.o \
	gy_property.o gy_typelib.o gy_object.o

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS=`pkg-config --libs gobject-introspection-1.0`
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS=-Wall `pkg-config --cflags gobject-introspection-1.0`
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically $(Y_EXE_PKGS) should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=

# autoload file for this package, if any
PKG_I_START=gy_start.i
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=gy.i gy_gtk.i

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# see comments in Y_HOME/Makepkg for a list of possibilities

# if this package built with mpy: 1. be sure mpy appears in EXTRA_PKGS,
# 2. set TGT=exe, and 3. uncomment following two lines
# Y_MAIN_O=$(Y_LIBEXE)/mpymain.o
# include $(Y_MAKEDIR)/Makempy

# configure script for this package may produce make macros:
# include output-makefile-from-package-configure

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------- targets and rules for this package

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

# -------------------------------------------------------- end of Makefile

CMAP_PNG = cbc-div-cmap.png  cb-div-cmap.png   cb-seq-cmap.png  gmt-cmap.png \
           msh-cmap.png cbc-seq-cmap.png  cb-qual-cmap.png  gist-cmap.png \
           gpl-cmap.png  mpl-cmap.png

DEST_PKG_INSTALLED_DIR=$(DEST_Y_SITE)/packages/installed

install::
	$(YNSTALL) gycmap.xml $(DEST_Y_SITE)/glade
	$(YNSTALL) $(CMAP_PNG) $(DEST_Y_SITE)/data
	mkdir -p $(DEST_PKG_INSTALLED_DIR)
	cp gy.info $(DEST_PKG_INSTALLED_DIR)

uninstall::
	-rm -f $(DEST_PKG_INSTALLED_DIR)/gy.info
	for file in $(CMAP_PNG) ; do rm -f  $(DEST_Y_SITE)/data/$$file; done;
	-rm -f $(DEST_Y_SITE)/glade/gycmap.xml

## yorick-gy 0.0.3

=== debian/changelog ===
yorick-gy (0.0.3-1) unstable; urgency=low

  * New upstream release

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 25 Jul 2013 16:03:16 +0200

yorick-gy (0.0.2-1) unstable; urgency=low

  * New upstream release

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 22 Jul 2013 21:23:09 -0400

yorick-gy (0.0.1-1) unstable; urgency=low

  * Initial Release. Closes: #709284

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 07 Jun 2013 17:15:24 +0200

=== debian/control ===
Source: yorick-gy
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Build-Depends: debhelper (>= 7.0.50~), yorick-dev (>= 2.2),
	       libgirepository1.0-dev
Standards-Version: 3.9.3.0
Vcs-Git: git://git.debian.org/git/debian-science/packages/yorick-gy.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yorick-gy.git
Homepage: http://github.com/paumard/yorick-gy

Package: yorick-gy
Architecture: any
Depends: yorick (>= 2.2), ${shlibs:Depends}, ${misc:Depends}
Recommends: gir1.2-gtk-3.0
Description: GObject introspection and Gtk bindings for Yorick
 This plug-in allows using GObject-introspection.
 In turn, this allows writing Gtk graphical user interfaces directly
 in Yorick.
 .
 Special helpers are provided for building Gtk interfaces.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install-arch:
	dh_installyorick

## yorick-gy 0.0.5

=== debian/changelog ===
yorick-gy (0.0.5-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:38:30 +1100

yorick-gy (0.0.5-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 08:20:16 +0000

yorick-gy (0.0.5-2) unstable; urgency=high

  * Update debhelper compatibility level.
    + replace debian/compat by Build-Depends: debhelper-compat (= 13).
  * Bump policy standard to 4.6.0.
    + change Priority to optional.

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 17 Jan 2022 14:47:09 +0100

yorick-gy (0.0.5-1) unstable; urgency=low

  * New upstream release

 -- Thibaut Paumard <thibaut@debian.org>  Sat, 19 Oct 2013 22:42:22 +0200

yorick-gy (0.0.3-2) unstable; urgency=low

  * Canonicalize VCS fields.
  * Check against Policy 3.9.4.
  * Bug fix: "FTBFS: No rule to make target `/Make&#39;", thanks to Daniel
    Schepler (Closes: #725510).

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 07 Oct 2013 15:59:15 +0200

=== debian/control ===
Source: yorick-gy
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Build-Depends: debhelper-compat (= 13), yorick-dev (>= 2.2),
	       libgirepository1.0-dev
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/science-team/yorick-gy.git
Vcs-Browser: https://salsa.debian.org/science-team/yorick-gy
Homepage: https://github.com/paumard/yorick-gy

Package: yorick-gy
Architecture: any
Depends: yorick (>= 2.2), ${shlibs:Depends}, ${misc:Depends}
Recommends: gir1.2-gtk-3.0
Description: GObject introspection and Gtk bindings for Yorick
 This plug-in allows using GObject-introspection.
 In turn, this allows writing Gtk graphical user interfaces directly
 in Yorick.
 .
 Special helpers are provided for building Gtk interfaces.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install-arch:
	dh_installyorick

override_dh_auto_clean:
	$(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick distclean

override_dh_auto_test:

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/yorick-gy-$1.tar.gz/ \
  https://github.com/paumard/yorick-gy/tags .*/v?(\d[\d\.]+)\.tar\.gz

## yorick-gy 0.0.6

=== debian/changelog ===
yorick-gy (0.0.6-1) unstable; urgency=medium

  * New upstream release
    + incorporates our patches gcc-14 and gcc-15.
    + fixes: "gy_gtk.i mixes incompatible versions of Gtk and Gdk"
      (Closes: #1121171).
  * Bug fix: "depends on non-multiarch-friendly libgirepository1.0-dev",
    thanks to Simon McVittie (Closes: #1118937).
  * Update watch file format.

 -- Thibaut Paumard <thibaut@debian.org>  Sat, 22 Nov 2025 10:50:31 +0100

yorick-gy (0.0.5-4) unstable; urgency=medium

  * Bug fix: "ftbfs with GCC-15", thanks to Matthias Klose (Closes:
    #1098193). New patch gcc-15.

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 28 Feb 2025 16:52:35 +0100

yorick-gy (0.0.5-3) unstable; urgency=medium

  * Bug fix: "ftbfs with GCC-14", thanks to Matthias Klose (Closes:
    #1075702). New patch gcc-14.
  * Check against Policy 4.7.0.

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 29 Jul 2024 10:58:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: yorick-gy
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thibaut Paumard <thibaut@debian.org>
 Build-Depends: debhelper-compat (= 13), yorick-dev (>= 2.2),
-	       libgirepository1.0-dev
-Standards-Version: 4.6.0
+	       libgirepository-1.0-dev
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/science-team/yorick-gy.git
 Vcs-Browser: https://salsa.debian.org/science-team/yorick-gy
 Homepage: https://github.com/paumard/yorick-gy

=== debian/watch ===
Version: 5

Template: Github
Owner: paumard
Project: yorick-gy
